#pragma once

#include <lwe/Level.h>

class MainLvl : public lwe::Level
{
public:
	~MainLvl() override;

	MainLvl();

	MainLvl(MainLvl &&lvl) noexcept;

	MainLvl(const MainLvl &lvl);

	MainLvl &operator=(MainLvl &&lvl) noexcept;

	MainLvl &operator=(const MainLvl &lvl);

	void SetupResources(lwe::GpuInterface *inf) override;

	void Setup(lwe::GpuInterface *inf) override;

	void PostInitialize(lwe::GpuCmdBuffer *cmdBuffer) override;

	void OnUpdate(lwe::RenderWindow *win, ehs::Input *input, float delta) override;

	void PreRender(lwe::GpuCmdBuffer *cmdBuffer) override;
};